Description

The NCEAS' LDAP will only provide service for some trusted partners in future. For those who currently depend on our Idap and we
will not provide service in future, we need offer another authentication mechanism in metacat.

We decided to use file-based authentication as the default one. Administrators are also allowed to configure to use Idap one.

The file is in xml format. Administrator will manually to add users and groups. The password must be encrypted by bcrypt or shat.

History

#1 - 12/19/2013 02:56 PM - Jing Tao
- Assignee set to Jing Tao

- Target version set to 2.4.0

#2 - 01/06/2014 05:12 PM - Jing Tao

| did a little bit research on comparing bcrypt and shai. People say bcrypt is a better hash algorithm.
There is a java library JBcrypt on the maven repository and we can use it.

The only concern is that the library uses the hash code itself as the salt and the BLOWFISH_NUM_ROUNDS is 16, so if we have to use the same
code to generate the secure hash. In other word, i am not sure that the hash generated by another program will work or not.

#3 - 01/29/2014 04:26 PM - ben leinfelder

- Status changed from New to In Progress

I'm testing this and having a little problem with the utility class that takes the password and writes it to the auth file. It's probably something that | am
doing wrong, but we might be able to make it easier for our users still.
Once | got the correct hash in the file, login worked as expected.

#4 - 01/29/2014 04:28 PM - ben leinfelder

- Subject changed from Create a filed-base authentication mechanism as the default authenction to Create a file-base authentication mechanism as
the default method

#5 - 01/30/2014 08:12 AM - Jing Tao

Hi, ben: | noticed the issue as well and put it on the bug:

https://projects.nceas.ucsb.edu/nceas/issues/862

| will take a look at it soon.

#6 - 02/07/2014 04:17 PM - ben leinfelder

- Status changed from In Progress to Closed

Made AuthFile the default in metacat.properties.
